Package org.eclipse.emf.cdo.view

## Class CDOViewEventProducer.CDOCommittingTransactionEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.net4j.util.event.Event
    - - org.eclipse.emf.cdo.view.CDOViewEventProducer.CDOCommittingTransactionEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`
  Enclosing class:
    CDOViewEventProducer

      public static final class CDOViewEventProducer.CDOCommittingTransactionEvent
      extends org.eclipse.net4j.util.event.Event
      implements CDOViewEvent

  An `event` fired from a `view event producer` when `CDOTransactionHandler2.committingTransaction()` was called.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `formatAdditionalParameters()` |
    `CDOCommitContext` | `getCommitContext()` |
    `CDOTransaction` | `getSource()` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Event

      `formatEventName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public CDOTransaction getSource()

      Specified by:
        `getSource` in interface `CDOViewEvent`
      Specified by:
        `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
      Overrides:
        `getSource` in class `org.eclipse.net4j.util.event.Event`

    - #### getCommitContext

          public CDOCommitContext getCommitContext()

    - #### formatAdditionalParameters

          protected java.lang.String formatAdditionalParameters()

      Overrides:
        `formatAdditionalParameters` in class `org.eclipse.net4j.util.event.Event`